package com.example.mynotepad.MenuFeatures.Pics.AddTextToPicDialog;

import android.app.Activity;
import android.app.Dialog;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;

import com.example.mynotepad.R;

public class AddTextToPicDialog {

    private OnSavePicListenerClick onSavePicListenerClick;
    private ImageView imageView;
    private EditText editText;
    private Button save, back;

    public void showAddTxtDialog(Activity activity , String filePath) {
        final Dialog dialog = new Dialog(activity);
        dialog.setCancelable(true);
        dialog.setContentView(R.layout.dialog_add_text_to_pic);
        save = dialog.findViewById(R.id.save_button);
        back = dialog.findViewById(R.id.back_button);
        imageView = dialog.findViewById(R.id.imageView);
        editText = dialog.findViewById(R.id.editText);
        addListener(dialog , filePath);

        dialog.show();
    }

    private void addListener(final Dialog dialog, String filePath) {
        setPic(filePath);
        save.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                onSavePicListenerClick.saveClicked(editText.getText().toString());
                dialog.dismiss();
            }
        });
        back.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                dialog.dismiss();
            }
        });
    }

    private void setPic(String filePath) {
    }

    public void setOnSavePicListenerClick(OnSavePicListenerClick onSavePicListenerClick) {
        this.onSavePicListenerClick = onSavePicListenerClick;
    }
}
